/*********************************************************************************************
Written by Robert Virag

Comprehensive Baseline Collecting Solution V1.2

Change History

Changes in V1.2 - 2015.05
	<>Support
		() Please notice: For BCS V1.* no new features are coming, only bugfixes!!!
	
	<>BugFix
		() sp_CollectDatabaseInfo - table [database_info] collation_name data type is changed 
			to NVARCHAR(128) to allow NULL values in case of the database is not in ONLINE state 
			or AUTO CLOSE option is ON.
		() sp_CollectTempDBUsage - no comment... just: "shame on me" :(

Changes in V1.1 - 2015.04

	<>Collectors
		() New collector: sp_CollectInstanceInfo
	<>New Schedules added
		() marked with '*' below
	<>BugFix
		() sp_CollectDatabaseInfo - SQL2014
		() @Retention = NULL
		() CollectingInterval/SampleInterval/MeasuringInterval type, possible value range
		() AI_SQLTRACE_INCREMENTAL_FLUSH_SLEEP
		() Job output file name (@OutputFile0X)
		() sp_CollectWaitStats - @ResetWaitStats = 0 If @MeasuringInterval is specified

V1 Original Release - 2014.09 

---//---

Collectors:
	sp_CollectConfigData 
	sp_CollectDatabaseInfo 
	sp_CollectFileInfo 
	sp_CollectIOVFStats 
	sp_CollectPerfmonData 
	sp_CollectTempDBUsage 
	sp_CollectWaitStats
	*sp_CollectInstanceInfo

Schedules:
	baseline - daily - at 2359PM
	baseline - daily - at 2357PM
	baseline - daily - at 2355PM
	*baseline - daily - at 2353PM
	*baseline - daily - at 2351PM

	*baseline - daily - every 5 mins
	*baseline - daily - every 5 mins - BT/6AM-7PM/
	baseline - daily - every 10 mins
	baseline - daily - every 10 mins - BT/6AM-7PM/
	baseline - daily - every 15 mins
	baseline - daily - every 15 mins - BT/6AM-7PM/
	*baseline - daily - every 30 mins
	*baseline - daily - every 30 mins - BT/6AM-7PM/
	baseline - daily - every 1 hour
	baseline - daily - every 1 hour - BT/6AM-7PM/
	*baseline - daily - every 3 hours /12AM/3AM/6AM/9AM/12PM/3PM/6PM/9PM/
	baseline - daily - every 6 hours /6AM/12PM/6PM/12AM/
	baseline - daily - every 8 hours /6AM/2PM/10PM/
	baseline - daily - evey 12 hours /6AM/6PM/

	*baseline - weekday - every 5 mins
	*baseline - weekday - every 5 mins - BT/6AM-7PM/
	baseline - weekday - every 10 mins
	baseline - weekday - every 10 mins - BT/6AM-7PM/
	baseline - weekday - every 15 mins
	baseline - weekday - every 15 mins - BT/6AM-7PM/
	*baseline - weekday - every 30 mins
	*baseline - weekday - every 30 mins - BT/6AM-7PM/
	baseline - weekday - every 1 hour
	baseline - weekday - every 1 hour - BT/6AM-7PM/
	*baseline - weekday - every 3 hours /12AM/3AM/6AM/9AM/12PM/3PM/6PM/9PM/
	baseline - weekday - every 6 hours /6AM/12PM/6PM/12AM/
	baseline - weekday - every 8 hours /6AM/2PM/10PM/
	baseline - weekday - evey 12 hours /6AM/6PM/

	*baseline - weekend - every 5 mins
	baseline - weekend - every 10 mins
	baseline - weekend - every 15 mins
	baseline - weekend - every 30 mins
	baseline - weekend - every 1 hour
	baseline - weekend - every 3 hours /12AM/3AM/6AM/9AM/12PM/3PM/6PM/9PM/
	baseline - weekend - every 6 hours /6AM/12PM/6PM/12AM/
	baseline - weekend - every 8 hours /6AM/2PM/10PM/
	baseline - weekend - evey 12 hours /6AM/6PM/

Tested: SQL Server 2005 / 2008

Summary:
Collect SQL Server Baseline (Raw) Data

----

For scheduling the collectors with agent jobs, Ola Hallengren's code is used
with his permission.

http://ola.hallengren.com/license.html

License:

Copyright (c) 2014 Robert Virag | SQLApprentice.net

Permission is hereby granted, free of charge, to any person 
obtaining a copy of this software and associated documentation 
files (the Software), to deal in the Software without 
restriction, including without limitation the rights to use, 
copy, modify, merge, publish, distribute, sublicense, and/or 
sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be 
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED AS IS, WITHOUT WARRANTY OF ANY KIND, 
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR 
THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*********************************************************************************************/
