USE [BaselineDB]
GO

EXEC sp_CollectConfigData @help = 1
EXEC sp_CollectDatabaseInfo @help = 1
EXEC sp_CollectFileInfo @help = 1
EXEC sp_CollectIOVFStats @help = 1
EXEC sp_CollectPerfmonData @help = 1
EXEC sp_CollectTempDBUsage @help = 1
EXEC sp_CollectWaitStats @help = 1
EXEC sp_CollectInstanceInfo @help = 1

-------------------------------------

EXEC sp_CollectInstanceInfo
@Retention = null,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[instance_info]

UPDATE [dbo].[instance_info] 
SET [capture_date] = DATEADD(day, -91, [capture_date])
WHERE [name] = 'ProductLevel'

UPDATE [dbo].[instance_info] 
SET [value] = 'NEWINSTANCE'
WHERE [name] = 'ServerName'

DELETE FROM [dbo].[instance_info] WHERE [name] = 'ProductVersion'

-------------------------------------

EXEC sp_CollectConfigData
@Retention = null,
@BypassNonActiveSrvConfError = 1,
@help = 0,
@LogInfo = 1

SELECT cd.*, sc.name FROM [dbo].[configuration_data] cd join sys.configurations sc
on cd.configuration_id = sc.configuration_id

UPDATE [dbo].[configuration_data] 
SET [capture_date] = DATEADD(day, -91, [capture_date])
WHERE [configuration_id] = 101

UPDATE [dbo].[configuration_data] 
SET [value] = 499, [value_in_use] = 499
WHERE [configuration_id] = 1544

DELETE FROM [dbo].[configuration_data] WHERE [configuration_id] = 102

-------------------------------------

EXEC sp_CollectDatabaseInfo
@Retention = null,
@help = 0,
@LogInfo = 1,
@debug = 1

SELECT * FROM [dbo].[database_info]

select * from sys.databases

UPDATE [dbo].[database_info] 
SET [capture_date] = DATEADD(day, -91, [capture_date])
WHERE [database_id] = 1

UPDATE [dbo].[database_info] 
SET [compatibility_level] = 10
WHERE [database_id] = 4

DELETE FROM [dbo].[database_info] 
WHERE [database_name] = 'BaselineDB'

-------------------------------------
SELECT * FROM [dbo].[filter_database_file]

UPDATE [dbo].[filter_database_file]
SET [ts_is_included_file_info] = 1 WHERE id > 5

EXEC sp_CollectFileInfo
@DestTable = NULL,
@DestSchema = NULL,
@TSMode = 0,
@EmptyTSTable = 0,
@Retention = null,
@CollectionTimeThreshold  = 100,
@ChangedSizeThreshold  = NULL,
@ChangedSpaceUsedThreshold  = NULL,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[file_info]

SELECT * FROM [dbo].[ts_file_info]

UPDATE [dbo].[file_info] 
SET [capture_date] = DATEADD(day, -91, [capture_date])
WHERE [database_name] = 'master'

-------------------------------------

SELECT * FROM [dbo].[filter_database_file]

UPDATE [dbo].[filter_database_file]
SET [ts_is_included_iovf] = 1 WHERE id < 5


EXEC sp_CollectIOVFStats
@DestTable = NULL,
@DestSchema  = NULL,
@TSMode = 0,
@EmptyTSTable = 0,
@CollectingInterval  = null,
@SampleInterval = 15,
@Retention = null,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[iovf_stats]

UPDATE [dbo].[iovf_stats] 
SET [capture_date] = DATEADD(day, -91, [capture_date])
WHERE [database_name] = 'master'

SELECT * FROM [dbo].[ts_iovf_stats]

-------------------------------------
SELECT * FROM [dbo].[filter_performance_counters] ORDER BY [is_included] DESC

EXEC sp_CollectPerfmonData
@DestTable = NULL,
@DestSchema = NULL,
@TSMode = 0,
@EmptyTSTable = 0,
@CollectingInterval = null,
@SampleInterval = null,
@MeasuringInterval = 1,
@Retention = null,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[perfmon_data]

SELECT * FROM [dbo].[ts_perfmon_data]

select * from sys.dm_os_performance_counters 
WHERE [counter_name] IN ( SELECT [counter_name] FROM [dbo].[filter_performance_counters] 
							WHERE [is_included] = 1 )

UPDATE [dbo].[perfmon_data] 
SET [capture_date] = DATEADD(day, -91, [capture_date])

-------------------------------------

EXEC sp_CollectTempDBUsage
@DestTable = NULL,
@DestSchema = NULL,
@TSMode = 0,
@EmptyTSTable = 0,
@Retention = 90,
@CollectingInterval = null,
@SampleInterval = null,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[tempdb_usage]

UPDATE [dbo].[tempdb_usage] 
SET [capture_date] = DATEADD(day, -91, [capture_date])

-------------------------------------

SELECT * FROM [dbo].[filter_wait_types]

EXEC sp_CollectWaitStats
@DestTable = NULL,
@DestSchema = NULL,
@ResetWaitStats = 0,
@MeasuringInterval = 1,
@TSMode = 0,
@EmptyTSTable = 0,
@Retention = null,
@help = 0,
@LogInfo = 1

SELECT * FROM [dbo].[wait_stats]

UPDATE [dbo].[wait_stats] 
SET [capture_date] = DATEADD(day, -91, [capture_date])

SELECT * FROM [dbo].[ts_wait_stats]